//操作人员
import request from '@/utils/request'
//获得机构树
export const getTree = (params) => {
    return request({
        url: '/point-strategy/v/dept/getDeptTreeSys',
        method: 'post',
        params
    })
}
//分页查询获取所有用户
export const getUsers = data => {
    return request({
        url: '/point-strategy/v/user/getUsers',
        method: 'post',
        data
    })
}
//保存用户信息
export const saveUser = data => {
    return request({
        url: '/point-strategy/v/user/saveUser',
        method: 'post',
        data
    })
}
//修改用户信息
export const updateUser = data => {
    return request({
        url: '/point-strategy/v/user/updateUser',
        method: 'post',
        data
    })
}
//删除用户信息
export const deleteUser = params => {
    return request({
        url: '/point-strategy/v/user/deleteUser',
        method: 'post',
        params
    })
}
//重置密码
export const resetPassword = data => {
    return request({
        url: '/point-strategy/v/user/resetPassword',
        method: 'post',
        data
    })
}

// 全部启用
export const updateMarkEnable = (params) => {
    return request({
        url: '/point-strategy/v/user/updateMarkEnable',
        method: 'post',
        params
    })
}
